For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

delete (multiple)

DELETE
https://api.groundx.ai/api/v1/ingest/documents
DELETE
/api/v1/ingest/documents
1from groundx import GroundX
2
3client = GroundX(api_key="YOUR_API_KEY")
4
5client.documents.delete(
6 document_ids=[
7 "123e4567-e89b-12d3-a456-426614174000",
8 "9f7c11a6-24b8-4d52-a9f3-90a7e70a9e49",
9 ]
10)
1{
2 "ingest": {
3 "processId": "uuid",
4 "status": "queued"
5 }
6}
Delete multiple documents hosted on GroundX
Was this page helpful?
Previous

get_processes

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

documentIdslist of stringsRequired
A list of documentIds which correspond to documents ingested by GroundX

Response

Documents are queued to be deleted
ingestobject

Errors

400
Bad Request Error
401
Unauthorized Error